@media (pointer: fine), (pointer: none) {
  .sales-chat-box {
    right: 10%;
    bottom: 5%;
    width: 25%;
    height: 70vh;
    background-color: white;
    border-style: solid;
    border-width: 1px;
    border-radius: 10px;
    position: fixed;
    z-index: 1000000 !important;
  }
}

@media (pointer: coarse) {
  .sales-chat-box {
    right: 2%;
    bottom: 5%;
    width: 96%;
    top: 2%;
    height: auto;
    background-color: white;
    border-style: solid;
    border-width: 1px;
    border-radius: 10px;
    position: fixed;
    z-index: 1000000 !important;
  }
}

.sales-chatlist-gnp {
    overflow-y: auto;
    margin-left: 10px;
    margin-right: 10px;
    height: 76%;
    scrollbar-width: thin;
}

@media (pointer: coarse) {
  .cb-expand {
    display: none;
  }
}

@media (pointer: fine), (pointer: none) {
  .cb-heading-block {
    width: 70%;
  }
}

@media (pointer: coarse) {
  .cb-heading-block {
    width: 85%;
  }
}

.emojionearea {
    height: 90% !important;
    display: flex !important;
    width: 90% !important;
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
    align-items: center !important;
}

.emojionearea .emojionearea-button {
    top: auto !important;
}

.emojionearea .emojionearea-editor {
    display: flex !important;
    align-items: center !important;
    min-height: 80% !important;
    height: 90% !important;
    max-height: 95% !important;
    outline: none !important;
    text-align: center !important;
    overflow-y: auto !important;
    word-wrap: break-word !important;
    white-space: pre-wrap !important;
    padding: 0 6px 0 12px !important;
    scrollbar-width: thin;
}

.sales-chat-box-btns-gnp {
    all: unset;
    display: flex;
    width: 30%;
    align-items: center;
    text-align: center;
}

@media (pointer: fine), (pointer: none) {
  .sales-chat-button-box {
    right: 5%;
    bottom: 5%;
    position: fixed;
    z-index: 1000000 !important;
  }
}

@media (pointer: coarse) {
  .sales-chat-button-box {
    right: 5%;
    bottom: 5%;
    position: fixed;
    z-index: 1000000 !important;
  }
}

@media (pointer: fine), (pointer: none) {
  .sales-chat-button {
    margin-left: 10px;
    width: 150px;
    height: 150px;
  }
}

@media (pointer: coarse) {
  .sales-chat-button {
    margin-left: 10px;
    width: 75px;
    height: 75px;
  }
}

@media (pointer: fine), (pointer: none) {
  .sales-chat-img {
    width: 150px;
    height: 150px;
  }
}

@media (pointer: coarse) {
  .sales-chat-img {
    width: 75px;
    height: 75px;
  }
}

@media (pointer: fine), (pointer: none) {
  .sales-chat-input-box {
    height: 10% !important;
    text-align: center !important;
    padding-left: 10px !important;
    display: flex !important;
    flex-direction: row !important;
    align-items: center !important;
    border-style: solid !important;
    border-width: 1px !important;
  }
}

@media (pointer: coarse) {
  .sales-chat-input-box {
    height: max(10%, 70px) !important;
    text-align: center !important;
    padding-left: 10px !important;
    display: flex !important;
    flex-direction: row !important;
    align-items: center !important;
    border-style: solid !important;
    border-width: 1px !important;
  }
}

#sales-chat-input-gnp {
    display: flex;
    width: 79% !important;
    border-radius: 5px !important;
    padding-left: 10px !important;
    overflow: hidden !important;
    background-color: white !important;
    max-height: 90% !important;
    font-size: 14px !important;
    height: 1.7em !important;
    line-height: 1.2 !important;
    border: none !important;
    resize: none !important;
    outline: none !important;
    align-items: center !important;
    text-align: center !important;
}

.user-uttr {
    border-radius: 10px 10px 0 10px !important;
    margin: 15px 5px 4px 20% !important;
    font-size: 12px !important;
}

.assist-uttr {
    padding: 4px 3px !important;
    border-radius: 0 10px 10px 10px !important;
    margin: 15px 10% 15px 5px !important;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.3) !important;
    display: flex !important;
    flex-direction: row !important;
    align-items: center !important;
}

.assist-uttr-long {
    margin: 15px 10% 4px 2% !important;
    display: flex !important;
    flex-direction: row !important;
    width: 88% !important;
}

.timeBlock {
    margin: 0 10% 15px 2%;
    display: flex;
    flex-direction: row;
    width: 88%;
}

.user-time {
    display: flex;
    justify-content: flex-end;
    margin: 0 5px 15px 20%;
}

.time-block-gnp {
    display: flex !important;
    justify-content: flex-end !important;
    padding: 0 8px 3px 20% !important;
    color: #631222 !important;
}

.answer-block {
    display: flex !important;
    flex-direction: column !important;
    margin-left: 4px !important;
    width: 90% !important;
    color: black;
}

.answer-text {
    padding: 8px 14px 2px 14px !important;
    font-size: 12px !important;
    margin-bottom: 0;
}

.answer-image {
    border-radius: 5px 5px 0 0;
    border-top: 2px solid #dce2fc;
    border-right: 2px solid #dce2fc;
    border-left: 2px solid #dce2fc;
    border-bottom: none;
}

.avatar-block {
    display: flex;
    align-items: end;
}

.assistant-avatar {
    object-fit: contain;
}

.inline-button-gnp {
    padding: 7px 3px 7px 3px !important;
    min-height: 20px !important;
    font-size: 12px !important;
    border-radius: 5px !important;
    background-color: #631222 !important;
    color: white !important;
    text-align: center !important;
    text-transform: none !important;
}

.inline-button-gnp:hover {
    background-color: #9c223a !important;
}

.reply-button-gnp {
    padding: 5px 3px 5px 3px !important;
    min-height: 20px !important;
    font-size: 12px !important;
    border-radius: 5px !important;
    background-color: #631222 !important;
    color: white !important;
    text-align: center !important;
    text-transform: none !important;
}

.reply-button-gnp:hover {
    background-color: #9c223a !important;
}

.keyboard-button {
    min-height: 20px !important;
    width: max-content;
    background-color: rgba(255, 255, 255, 0) !important;
    box-shadow: none !important;
    padding: 0 !important;
}

.keyboard-button:hover {
    background-color: rgba(255, 255, 255, 0) !important;
    box-shadow: none !important;
}